UNPKG

valorant-api-types

Version:

A collection of documented endpoints and return types for the unofficial Valorant API

36 lines 1.46 kB
"use strict"; Object.defineProperty(exports, "__esModule", { value: true }); exports.sessionsEndpoint = void 0; const zod_1 = require("zod"); exports.sessionsEndpoint = { name: 'Sessions', description: 'Gets info about the running Valorant process including start arguments\n ' + 'Can be used to get shard, region, and puuid by parsing launch args.', queryName: 'RiotClientSession_FetchSessions', category: 'Local Endpoints', type: 'local', suffix: 'product-session/v1/external-sessions', riotRequirements: { localAuth: true }, responses: { '200': zod_1.z.record(zod_1.z.string().describe('Session ID'), zod_1.z.object({ exitCode: zod_1.z.number(), exitReason: zod_1.z.null(), isInternal: zod_1.z.boolean(), launchConfiguration: zod_1.z.object({ arguments: zod_1.z.array(zod_1.z.string()), executable: zod_1.z.string(), locale: zod_1.z.string().nullable(), voiceLocale: zod_1.z.null(), workingDirectory: zod_1.z.string() }), patchlineFullName: zod_1.z.enum(['VALORANT', 'riot_client']), patchlineId: zod_1.z.enum(['', 'live', 'pbe']), phase: zod_1.z.string(), productId: zod_1.z.enum(['valorant', 'riot_client']), version: zod_1.z.string() })) } }; //# sourceMappingURL=Sessions.js.map